## com.baidubce.services.bmr.model
Class ListClustersResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.bmr.model.ListClustersResponse

    public class ListClustersResponse

extends AbstractBceResponse

Represent the response of ListClustersRequest. The response contains a array of BMR Cluster objects.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`ListClustersResponse()`

Method Summary
`List<Cluster>` `getClusters()`
`String` `getMarker()`
`int` `getMaxKeys()`
`String` `getNextMarker()`
`boolean` `isTruncated()`
`void` `setClusters(List<Cluster> clusters)`
`void` `setMarker(String marker)`
`void` `setMaxKeys(int maxKeys)`
`void` `setNextMarker(String nextMarker)`
`void` `setTruncated(boolean isTruncated)`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListClustersResponse

    public ListClustersResponse()

Method Detail

### getMarker

    public String getMarker()

### setMarker

    public void setMarker(String marker)

### getMaxKeys

    public int getMaxKeys()

### setMaxKeys

    public void setMaxKeys(int maxKeys)

### getNextMarker

    public String getNextMarker()

### setNextMarker

    public void setNextMarker(String nextMarker)

### isTruncated

    public boolean isTruncated()

### setTruncated

    public void setTruncated(boolean isTruncated)

### getClusters

    public List<Cluster> getClusters()

### setClusters

    public void setClusters(List<Cluster> clusters)

Copyright © 2016. All rights reserved.